/* vim: set ts=2 sw=2 sts=2 et: */
/**
 * Next-Previous products
 *
 * @category   X-Cart
 * @package    X-Cart
 * @subpackage JS Library
 * @author     Ruslan R. Fazlyev <rrf@x-cart.com>
 * @version    2a321c65d1ad1429f47434729de546ac23ecdfac, v3 (xcart_4_7_11), 2019-04-25 08:59:19, np_products.js, aim
 * @link       https://www.x-cart.com/
 * @see        ____file_see____
 */
$('.np-products ul li a:not(.all)').on( "mouseenter",
  function() {
    what = $(this).attr('class');
    if (!npProducts[what]['loaded']) {
      npProducts[what]['loaded'] = true;
      ajax.core.loadBlock(
        $('#np-popup-'+what),
        'np_product',
        {productid: npProducts[what]['id']}
      );
    }
    $('#np-popup-'+what).stop(true, true).fadeIn(100);
  }
).on( "mouseleave",
  function() {
    $('#np-popup-'+$(this).attr('class')).delay(100).fadeOut(100);
  }
);/*HoVer_deprecated_in_3_3*/

$('.np-products .popup').on( "mouseenter",
  function() {
    $(this).stop(true, true).show();
  }
).on( "mouseleave",
  function() {
    $(this).delay(100).fadeOut(100);
  }
);/*HoVer_deprecated_in_3_3*/